org.apache.maven.scm

## Class ChangeSet

- java.lang.Object
- - org.apache.maven.scm.ChangeSet

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    GitChangeSet, SvnChangeSet

      public class ChangeSet
      extends Object
      implements Serializable

  Version:
    $Id: ChangeSet.java 885155 2009-11-28 22:09:38Z olamy $
  Author:
    Emmanuel Venisse
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AMPERSAND_ENTITY` Escaped `&` entity
    `static String` | `APOSTROPHE_ENTITY` Escaped `'` entity
    `static String` | `GREATER_THAN_ENTITY` Escaped `>` entity
    `static String` | `LESS_THAN_ENTITY` Escaped `<` entity
    `static String` | `QUOTE_ENTITY` Escaped `"` entity

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeSet()` Constructor used when attributes aren't available until later
    `ChangeSet(Date date, String comment, String author, List files)`
    `ChangeSet(String strDate, String userDatePattern, String comment, String author, List files)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFile(ChangeFile file)`
    `boolean` | `containsFilename(String filename)`
    `boolean` | `containsFilename(String filename, ScmProviderRepository repository)` Deprecated. Use method `containsFilename(String)`
    `boolean` | `equals(Object obj)`
    `static String` | `escapeValue(Object value)` Escape the `toString` of the given object.
    `String` | `getAuthor()` Getter for property author.
    `String` | `getComment()` Getter for property comment.
    `Date` | `getDate()` Getter for property date.
    `String` | `getDateFormatted()`
    `List` | `getFiles()` Getter for ChangeFile list.
    `String` | `getRevision()`
    `String` | `getTimeFormatted()`
    `int` | `hashCode()`
    `void` | `setAuthor(String author)` Setter for property author.
    `void` | `setComment(String comment)` Setter for property comment.
    `void` | `setDate(Date date)` Setter for property date.
    `void` | `setDate(String date)` Setter for property date that takes a string and parses it
    `void` | `setDate(String date, String userDatePattern)` Setter for property date that takes a string and parses it
    `void` | `setFiles(List files)` Setter for ChangeFile list.
    `void` | `setRevision(String revision)`
    `String` | `toString()`
    `String` | `toXML()` Provide the changelog entry as an XML snippet.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LESS_THAN_ENTITY

          public static final String LESS_THAN_ENTITY

      Escaped `<` entity
      See Also:
        Constant Field Values

    - #### GREATER_THAN_ENTITY

          public static final String GREATER_THAN_ENTITY

      Escaped `>` entity
      See Also:
        Constant Field Values

    - #### AMPERSAND_ENTITY

          public static final String AMPERSAND_ENTITY

      Escaped `&` entity
      See Also:
        Constant Field Values

    - #### APOSTROPHE_ENTITY

          public static final String APOSTROPHE_ENTITY

      Escaped `'` entity
      See Also:
        Constant Field Values

    - #### QUOTE_ENTITY

          public static final String QUOTE_ENTITY

      Escaped `"` entity
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ChangeSet

          public ChangeSet(String strDate,
                   String userDatePattern,
                   String comment,
                   String author,
                   List files)

      Parameters:
        `strDate` - Date the changes were committed
        `userDatePattern` - pattern of date
        `comment` - comment provided at commit time
        `author` - User who made changes
        `files` - The ChangeFile list

    - #### ChangeSet

          public ChangeSet(Date date,
                   String comment,
                   String author,
                   List files)

      Parameters:
        `date` - Date the changes were committed
        `comment` - comment provided at commit time
        `author` - User who made changes
        `files` - The ChangeFile list

    - #### ChangeSet

          public ChangeSet()

      Constructor used when attributes aren't available until later

  - ### Method Detail

    - #### getFiles

          public List getFiles()

      Getter for ChangeFile list.
      Returns:
        List of ChangeFile.

    - #### setFiles

          public void setFiles(List files)

      Setter for ChangeFile list.
      Parameters:
        `files` - List of ChangeFiles.

    - #### addFile

          public void addFile(ChangeFile file)

    - #### containsFilename

          public boolean containsFilename(String filename,
                                 ScmProviderRepository repository)

      Deprecated. Use method `containsFilename(String)`
      Parameters:
        `filename` -
        `repository` - NOT USED
      Returns:

    - #### containsFilename

          public boolean containsFilename(String filename)

    - #### getAuthor

          public String getAuthor()

      Getter for property author.
      Returns:
        Value of property author.

    - #### setAuthor

          public void setAuthor(String author)

      Setter for property author.
      Parameters:
        `author` - New value of property author.

    - #### getComment

          public String getComment()

      Getter for property comment.
      Returns:
        Value of property comment.

    - #### setComment

          public void setComment(String comment)

      Setter for property comment.
      Parameters:
        `comment` - New value of property comment.

    - #### getDate

          public Date getDate()

      Getter for property date.
      Returns:
        Value of property date.

    - #### setDate

          public void setDate(Date date)

      Setter for property date.
      Parameters:
        `date` - New value of property date.

    - #### setDate

          public void setDate(String date)

      Setter for property date that takes a string and parses it
      Parameters:
        `date` - - a string in yyyy/MM/dd HH:mm:ss format

    - #### setDate

          public void setDate(String date,
                     String userDatePattern)

      Setter for property date that takes a string and parses it
      Parameters:
        `date` - - a string in yyyy/MM/dd HH:mm:ss format
        `userDatePattern` - - pattern of date

    - #### getDateFormatted

          public String getDateFormatted()

      Returns:
        date in yyyy-mm-dd format

    - #### getTimeFormatted

          public String getTimeFormatted()

      Returns:
        time in HH:mm:ss format

    - #### getRevision

          public String getRevision()

      Returns:
      Since:
        1.3

    - #### setRevision

          public void setRevision(String revision)

      Parameters:
        `revision` -
      Since:
        1.3

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toXML

          public String toXML()

      Provide the changelog entry as an XML snippet.
      Returns:
        a changelog-entry in xml format

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### escapeValue

          public static String escapeValue(Object value)

      Escape the `toString` of the given object. For use in an attribute value.

      swiped from jakarta-commons/betwixt -- XMLUtils.java
      Parameters:
        `value` - escape `value.toString()`
      Returns:
        text with characters restricted (for use in attributes) escaped

Copyright © 2003–2015. All rights reserved.